summaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/net/fcnal-test.sh
diff options
context:
space:
mode:
authorDavid Ahern <dsahern@kernel.org>2024-01-30 08:43:27 -0700
committerJakub Kicinski <kuba@kernel.org>2024-01-31 21:14:51 -0800
commite79027c08302e299571555a9606b751820afa409 (patch)
tree72fb46a63e9fe498d49a54838039851a8bf23acf /tools/testing/selftests/net/fcnal-test.sh
parent567058d398aa97beaec62252fcc3bb78d34fa270 (diff)
downloadlinux-e79027c08302e299571555a9606b751820afa409.tar.gz
linux-e79027c08302e299571555a9606b751820afa409.tar.bz2
linux-e79027c08302e299571555a9606b751820afa409.zip
selftests: Declare local variable for pause in fcnal-test.sh
Running fcnal-test.sh script with -P argument is causing test failures: $ ./fcnal-test.sh -t ping -P TEST: ping out - ns-B IP [ OK ] hit enter to continue, 'q' to quit fcnal-test.sh: line 106: [: ping: integer expression expected TEST: out, [FAIL] expected rc ping; actual rc 0 hit enter to continue, 'q' to quit The test functions use local variable 'a' for addresses and then log_test is also using 'a' without a local declaration. Fix by declaring a local variable and using 'ans' (for answer) in the read. Signed-off-by: David Ahern <dsahern@kernel.org> Link: https://lore.kernel.org/r/20240130154327.33848-1-dsahern@kernel.org Signed-off-by: Jakub Kicinski <kuba@kernel.org>
Diffstat (limited to 'tools/testing/selftests/net/fcnal-test.sh')
-rwxr-xr-xtools/testing/selftests/net/fcnal-test.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/tools/testing/selftests/net/fcnal-test.sh b/tools/testing/selftests/net/fcnal-test.sh
index d7cfb7c2b427..386ebd829df5 100755
--- a/tools/testing/selftests/net/fcnal-test.sh
+++ b/tools/testing/selftests/net/fcnal-test.sh
@@ -100,6 +100,7 @@ log_test()
local rc=$1
local expected=$2
local msg="$3"
+ local ans
[ "${VERBOSE}" = "1" ] && echo
@@ -113,16 +114,16 @@ log_test()
if [ "${PAUSE_ON_FAIL}" = "yes" ]; then
echo
echo "hit enter to continue, 'q' to quit"
- read a
- [ "$a" = "q" ] && exit 1
+ read ans
+ [ "$ans" = "q" ] && exit 1
fi
fi
if [ "${PAUSE}" = "yes" ]; then
echo
echo "hit enter to continue, 'q' to quit"
- read a
- [ "$a" = "q" ] && exit 1
+ read ans
+ [ "$ans" = "q" ] && exit 1
fi
kill_procs